Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358935 - katello-certs-check should print absolute paths to certificates
Summary: katello-certs-check should print absolute paths to certificates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: jcallaha
QA Contact: Peter Ondrejka
URL:
Whiteboard:
: 1461782 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-21 20:05 UTC by jcallaha
Modified: 2019-04-01 20:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:44:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 15775 None None None 2016-10-03 17:27:28 UTC

Description jcallaha 2016-07-21 20:05:01 UTC
Description of problem:
The script currently outputs installer suggestions. However, it will use whatever relative path the user passes in as an argument. This caused an error during an upgrade from 6.1.9 to 6.2.
"rhsm-qe-3.rhq.lab.eng.bos.redhat.com.crt" is not an absolute path. at /usr/share/katello-installer-base/modules/certs/manifests/init.pp:115 on node rhsm-qe-3.rhq.lab.eng.bos.redhat.com

How reproducible:
Always

Steps to Reproduce:
1. run the katello-certs-check script while passing in relative paths to the cert files.

Actual results:
    katello-installer --certs-server-cert "rhsm-qe-3.rhq.lab.eng.bos.redhat.com.crt"\
                      --certs-server-cert-req "rhsm-qe-3.rhq.lab.eng.bos.redhat.com.crt.req"\
                      --certs-server-key "rhsm-qe-3.rhq.lab.eng.bos.redhat.com.key"\
                      --certs-server-ca-cert "cacert.crt"\
                      --certs-update-server --certs-update-server-ca


Expected results:
    satellite-installer --scenario satellite\
                        --certs-server-cert "/root/sat_cert/rhsm-qe-3.rhq.lab.eng.bos.redhat.com.crt"\
                        --certs-server-cert-req "/root/sat_cert/rhsm-qe-3.rhq.lab.eng.bos.redhat.com.crt.req"\
                        --certs-server-key "/root/sat_cert/rhsm-qe-3.rhq.lab.eng.bos.redhat.com.key"\
                        --certs-server-ca-cert "/root/sat_cert/cacert.crt"

Comment 2 Bryan Kearney 2016-10-03 17:27:22 UTC
Connecting redmine issue http://projects.theforeman.org/issues/15775 from this bug

Comment 3 Bryan Kearney 2016-10-03 17:27:26 UTC
Connecting redmine issue http://projects.theforeman.org/issues/15775 from this bug

Comment 5 Peter Ondrejka 2016-11-22 14:10:35 UTC
Verified on Satellite 6.3 snap 6, katello-certs-check now suggests absolute paths as expected

Comment 6 jcallaha 2017-06-20 19:38:44 UTC
*** Bug 1461782 has been marked as a duplicate of this bug. ***

Comment 7 Bryan Kearney 2018-02-21 16:41:34 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 8 Bryan Kearney 2018-02-21 16:44:59 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 9 pm-sat@redhat.com 2018-02-21 16:49:54 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.